# `keyfork mnemonic`

Utilities for managing mnemonics.

# `keyfork mnemonic generate`

Generate a mnemonic using various forms of entropy (default: system). Forms of
entropy also include Tarot cards, playing cards, and dice rolls. Because
ensuring entropy is as random as possible while generating mnemonics, and to
ensure the mnemonic itself is not shared to malicious third parties, Keyfork
requires a system be both offline and running an up-to-date kernel before
generating a mnemonic. However, the command may be run with the variable
`INSECURE_HARDWARE_ALLOWED=1` to override system validation.

## Usage

```
% keyfork mnemonic generate
ceiling talent smooth jealous dust render hello resource ripple crucial pepper tribe noble gate shield glad slide document pulse negative spider this fancy seven
% keyfork mnemonic generate --size 128
sustain glory control silk gym argue jaguar citizen remember doctor depth senior
```
